Skip to main content
GET
query messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

channelId
string
required
Maximum string length: 100
type
enum<string>
Available options:
text,
image,
file,
custom,
video,
audio,
imagemap
parentId
string
Maximum string length: 150
filterByParentId
boolean
default:false
hasFlag
boolean
isDeleted
boolean

isDeleted:

  • null(default) - Show both message is actived and message is inactived.
  • true - Show message is inactived only.
  • false - Show message is actived only.
tags
string[]

Used for querying messages by matching all specified tags. When a query includes multiple tags (e.g., tags=['tag1', 'tag2', 'tag3']), the system will return all messages that have all the specified tags.

Maximum array length: 10
Maximum string length: 100
excludeTags
string[]

Used for querying messages by excluding all specified tags. When a query includes multiple tags (e.g., excludeTags=['tag1', 'tag2', 'tag3']), the system will return all messages that do not have any of the specified tags.

Maximum array length: 10
Maximum string length: 100
options
object

Response

Messages Information

messages
object[]
users
object[]
files
object[]
paging
object